package com.prolog.cs.biz.outbound.service;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface DoPringService {

    //void outDetailedPrint(String warehouseId, String consignorId, String billId, String printBillCode);

    Object outDetailedPrint(String warehouseId, String consignorId, String billId, String printBillCode);

    void outDetailedDownload(String warehouseId, String consignorId, String billId, String printBillCode, HttpServletResponse response, HttpServletRequest request);

    String outDetailedDownloadExtends(String type, String warehouseId, String consignorId, String billId, String printBillCode, HttpServletResponse response, HttpServletRequest request);

    void receiptPrint(String warehouseId, String cargoOwnerId, String billId);

    Object printNull(String warehouseId, String consignorId,String billId, String printBillCode);
}
